#!/bin/sh

if [ -f cross.env ]
then 
 echo ./cross.env
 . ./cross.env
elif [ -f $BUILD_DIR/cross.env ]
then
  . $BUILD_DIR/cross.env
else 
 echo ..!
 #. ../cross.env
 . w32/build/cross.env
fi

#source /usr/bin/cross.env

CONFIG_SHELL=/bin/sh
export CONFIG_SHELL
#PREFIX=/usr/local/cross-tools
#TARGET=i386-mingw32msvc
#PATH="$PREFIX/bin:$PREFIX/$TARGET/bin:$PATH"
#export PATH
if [ -f "$PREFIX/$TARGET/bin/$TARGET-sdl-config" ]; then
    SDL_CONFIG="$PREFIX/$TARGET/bin/$TARGET-sdl-config"
    export SDL_CONFIG
fi
cache=cross-config.cache
time sh configure --cache-file="$cache" \
	--target=$TARGET --host=$TARGET --build=i386-linux \
	--prefix=$CPREFIX $*
status=$?
rm -f "$cache"
exit $status
